package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class MdConstraintDetailsDTO implements Serializable {

    private static final long serialVersionUID = 504570234997117L;

    private Integer id;

    private Character refFlag;

    private Integer columnPortion;

    private String constraintText;

    private Integer detailOrder;

    private Integer securityGroupId;

    private java.util.Date createdOn;

    private String createdBy;

    private java.util.Date lastUpdatedOn;

    private String lastUpdatedBy;

    private Integer columnIdFk;

    private Integer constraintIdFk;

        public Integer getId() {
    return id;
    }

        public void setId(Integer id) {
    this.id = id;
    }

        public Character getRefFlag() {
    return refFlag;
    }

        public void setRefFlag(Character refFlag) {
    this.refFlag = refFlag;
    }

        public Integer getColumnPortion() {
    return columnPortion;
    }

        public void setColumnPortion(Integer columnPortion) {
    this.columnPortion = columnPortion;
    }

        public String getConstraintText() {
    return constraintText;
    }

        public void setConstraintText(String constraintText) {
    this.constraintText = constraintText;
    }

        public Integer getDetailOrder() {
    return detailOrder;
    }

        public void setDetailOrder(Integer detailOrder) {
    this.detailOrder = detailOrder;
    }

        public Integer getSecurityGroupId() {
    return securityGroupId;
    }

        public void setSecurityGroupId(Integer securityGroupId) {
    this.securityGroupId = securityGroupId;
    }

        public java.util.Date getCreatedOn() {
    return createdOn;
    }

        public void setCreatedOn(java.util.Date createdOn) {
    this.createdOn = createdOn;
    }

        public String getCreatedBy() {
    return createdBy;
    }

        public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
    }

        public java.util.Date getLastUpdatedOn() {
    return lastUpdatedOn;
    }

        public void setLastUpdatedOn(java.util.Date lastUpdatedOn) {
    this.lastUpdatedOn = lastUpdatedOn;
    }

        public String getLastUpdatedBy() {
    return lastUpdatedBy;
    }

        public void setLastUpdatedBy(String lastUpdatedBy) {
    this.lastUpdatedBy = lastUpdatedBy;
    }

        public Integer getColumnIdFk() {
    return columnIdFk;
    }

        public void setColumnIdFk(Integer columnIdFk) {
    this.columnIdFk = columnIdFk;
    }

        public Integer getConstraintIdFk() {
    return constraintIdFk;
    }

        public void setConstraintIdFk(Integer constraintIdFk) {
    this.constraintIdFk = constraintIdFk;
    }

}